List all portals in an account
Get details of portals in an Account
GET
/
api
/
v1
/
accounts
/
{account_id}
/
portals
List all portals in an account
curl --request GET \
--url https://app.tied.com/api/v1/accounts/{account_id}/portals \
--header 'api_access_token: <api-key>'import requests
url = "https://app.tied.com/api/v1/accounts/{account_id}/portals"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.tied.com/api/v1/accounts/{account_id}/portals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://app.tied.com/api/v1/accounts/{account_id}/portals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api_access_token"] = '<api-key>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.tied.com/api/v1/accounts/{account_id}/portals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_access_token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"payload": [
{
"id": 1,
"color": null,
"custom_domain": null,
"header_text": "Answers, guides and troubleshooting for the Tied platform.",
"homepage_link": null,
"name": "Tied Help Center",
"page_title": "Tied Help Center",
"slug": "tied-help",
"archived": false,
"account_id": 1,
"config": {
"allowed_locales": [
{
"code": "en",
"articles_count": 7,
"categories_count": 3
}
]
},
"meta": {
"all_articles_count": 0,
"archived_articles_count": null,
"published_count": null,
"draft_articles_count": null,
"categories_count": 3,
"default_locale": "en"
}
}
],
"meta": {
"current_page": 1,
"portals_count": 1
}
}{
"error": "Resource could not be found"
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
Response
Success
The portals in the account.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
List all portals in an account
curl --request GET \
--url https://app.tied.com/api/v1/accounts/{account_id}/portals \
--header 'api_access_token: <api-key>'import requests
url = "https://app.tied.com/api/v1/accounts/{account_id}/portals"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.tied.com/api/v1/accounts/{account_id}/portals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://app.tied.com/api/v1/accounts/{account_id}/portals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api_access_token"] = '<api-key>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.tied.com/api/v1/accounts/{account_id}/portals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_access_token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"payload": [
{
"id": 1,
"color": null,
"custom_domain": null,
"header_text": "Answers, guides and troubleshooting for the Tied platform.",
"homepage_link": null,
"name": "Tied Help Center",
"page_title": "Tied Help Center",
"slug": "tied-help",
"archived": false,
"account_id": 1,
"config": {
"allowed_locales": [
{
"code": "en",
"articles_count": 7,
"categories_count": 3
}
]
},
"meta": {
"all_articles_count": 0,
"archived_articles_count": null,
"published_count": null,
"draft_articles_count": null,
"categories_count": 3,
"default_locale": "en"
}
}
],
"meta": {
"current_page": 1,
"portals_count": 1
}
}{
"error": "Resource could not be found"
}